Bug 728989 - mod-cluster configuration properties do not persist EAP restart
mod-cluster configuration properties do not persist EAP restart
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 682349
  Show dependency treegraph
 
Reported: 2011-08-08 11:00 EDT by Mike Foley
Modified: 2012-02-07 14:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:18:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-08-08 11:00:32 EDT
Description of problem:  mod-cluster configuration properties do not persist EAP restart


Version-Release number of selected component (if applicable):

EAP4.2

How reproducible:


Steps to Reproduce:
1.  change a mod-cluster configuration property
2.  observe change is persisted to EAP's JMX console
3.  restart EAP
4.  observe change is no longer persisted to EAP's JMX console
  
Actual results:


Expected results:
Configuration properties are persisted and survive EAP restart

Additional info:

link to JMX console:  http://localhost/jmx-console/HtmlAdaptor?action=inspectMBean&name=Catalina%3Atype%3DModClusterListener
Comment 1 Stefan Negrea 2011-08-28 12:12:52 EDT
The bug has been fixed. Updating just the JMX properties does not send the
properties to the http server as expected. Also, those settings are not
persisted so any changes are lost after a server restart. Implemented a three
step process to update, propagate, and persist configuration updates.


The correct procedure to update mod_cluster properties for JBoss 42 is:
1) update JMX properties - nothing gets persisted in this step
2) invoke refresh command to propagate updates to httpd
3) persist changes server configuration file so that they are reloaded after a
restart
Comment 3 Mike Foley 2011-08-30 11:12:08 EDT
verified RHQ 4.1.1 BETA.  changed property flushpackets, bounced EAP, verified configuration still set.
Comment 4 Mike Foley 2012-02-07 14:18:59 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.